module Events where

import qualified SDL

import Linear

-- internal impomrts

import Util

eventHandler :: SDL.Event -> IO ()
eventHandler (SDL.Event _ payload) =
  handlePayload payload

handlePayload :: SDL.EventPayload -> IO ()
handlePayload (SDL.WindowResizedEvent (SDL.WindowResizedEventData _ dim)) =
  fitViewport (800 / 600) dim
handlePayload _ = return ()
